#
# Needs more fixes, maybe remove all drivers for non agp/pci cards
# sunsparc arch may need more drivers removed, or even better, only
# install sun hardware drivers
#

Name:		x11-driver-video
Version:	1.0.0
%define		subrel 1
Release:	%mkrel 13
Summary:	X11 video drivers
Group:		System/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	MIT

Requires:	x11-driver-video-apm
%ifarch %{ix86}
Requires:	x11-driver-video-amd
%endif
Requires:	x11-driver-video-ark
Requires:	x11-driver-video-ati
Requires:	x11-driver-video-chips
Requires:	x11-driver-video-cirrus
Requires:	x11-driver-video-cyrix
# Probably only required for development/experiments
#Requires:	x11-driver-video-dummy
Requires:	x11-driver-video-fbdev
Requires:	x11-driver-video-glint
Requires:	x11-driver-video-i128
Requires:	x11-driver-video-i740
%ifnarch %{sunsparc}
Requires:	x11-driver-video-intel
%endif
Requires:	x11-driver-video-imstt
Requires:	x11-driver-video-mga
Requires:	x11-driver-video-neomagic
# SGI newport - too uncommon to be installed by default
#Requires:	x11-driver-video-newport
Requires:	x11-driver-video-nsc
Requires:	x11-driver-video-nv
Requires:	x11-driver-video-openchrome
Requires:	x11-driver-video-radeonhd
Requires:	x11-driver-video-rendition
Requires:	x11-driver-video-s3
Requires:	x11-driver-video-s3virge
Requires:	x11-driver-video-savage
Requires:	x11-driver-video-siliconmotion
Requires:	x11-driver-video-sis
Requires:	x11-driver-video-sisusb
%ifarch %{sunsparc}
Requires:	x11-driver-video-sunbw2
Requires:	x11-driver-video-suncg14
Requires:	x11-driver-video-suncg3
Requires:	x11-driver-video-suncg6
Requires:	x11-driver-video-sunffb
Requires:	x11-driver-video-sunleo
Requires:	x11-driver-video-suntcx
%endif
Requires:	x11-driver-video-tdfx
# DEC Tga - too uncommon to be installed by default
#Requires:	x11-driver-video-tga
Requires:	x11-driver-video-trident
Requires:	x11-driver-video-tseng
Requires:	x11-driver-video-v4l
Requires:	x11-driver-video-vesa
Requires:	x11-driver-video-vga
Requires:	x11-driver-video-via
Requires:	x11-driver-video-viaarena
Requires:	x11-driver-video-vmware
# Too old hardware - should not be installed by default
Requires:	x11-driver-video-voodoo

%description
X11 video drivers metapackage. This package contains no files, but
depends on all free X.org video drivers.

%files
%defattr(-,root,root)



%changelog
* Fri Apr 25 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.0-13.1mdv2008.1
- build for updates

* Wed Nov 28 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.0-12mdv2008.1
+ Revision: 113543
- bump release
- drop x11-driver-video-avivo requirement, driver is obsolete and i've deleted it

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.0-11mdv2008.0
+ Revision: 91564
- add radeonhd

* Thu Sep 13 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.0-10mdv2008.0
+ Revision: 85259
- add viaarena to driver list
- use MIT for license
- expand description
- tabs not spaces

* Tue Aug 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-9mdv2008.0
+ Revision: 63160
- requires x11-driver-video-avivo

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - do not require x11-driver-video-i810 on sparc

* Sun Apr 22 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.0-8mdv2008.0
+ Revision: 16852
- Update for i810 -> intel rename.


* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-7mdv2007.1
+ Revision: 146941
- fix installing on x86_64

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-6mdv2007.1
+ Revision: 144697
- require x11-driver-video-amd (for Geode chipsets)

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-5mdv2007.1
+ Revision: 110378
- require x11-driver-video-openchrome

* Tue Sep 19 2006 Pixel <pixel@mandriva.com> 1.0.0-4mdv2007.0
+ Revision: 61944
- do not obsolete xorg-x11-server which is still a package in 2007.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

